$textAlign = left, right, justify, center, inherit
for $align in $textAlign
  .text-align-{$align}
    text-align $align

$textTransform = uppercase
for $transform in $textTransform
  .text-transform-{$transform}
    text-transform $transform

.image-border-radius-s
  border-radius var(--border-radius-s)

.image-border-radius-m
  border-radius var(--border-radius-m)

.nowrap
  white-space nowrap

.no-scroll
  overflow hidden

.hidden-xs
  +media-max(s)
    display none
.hidden-s
  +media-interval(s, m)
    display none
.hidden-m
  +media-interval(m, l)
    display none
.hidden-l
  +media(l)
    display none
